# H501_ServiceRejectionReason Class Reference

`#include <h501.h>`

List of all members.

## Public Types

enum | Choices { e_serviceUnavailable, e_serviceRedirected, e_security, e_continue, e_undefined, e_unknownServiceID, e_cannotSupportUsageSpec, e_neededFeature, e_genericDataReason, e_usageUnavailable, e_unknownUsageSendTo }

## Public Member Functions

| H501_ServiceRejectionReason (unsigned tag=0, TagClass tagClass=UniversalTagClass)
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H501_ServiceRejectionReason::Choices

Enumerator:

  e_serviceUnavailable |
  e_serviceRedirected |
  e_security |
  e_continue |
  e_undefined |
  e_unknownServiceID |
  e_cannotSupportUsageSpec |
  e_neededFeature |
  e_genericDataReason |
  e_usageUnavailable |
  e_unknownUsageSendTo |

## Constructor & Destructor Documentation

H501_ServiceRejectionReason::H501_ServiceRejectionReason | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PBoolean H501_ServiceRejectionReason::CreateObject | ( |  | ) |

PObject* H501_ServiceRejectionReason::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h501.h